summaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
authorAndreas Brachold <vdr07@deltab.de>2007-08-13 18:41:27 +0000
committerAndreas Brachold <vdr07@deltab.de>2007-08-13 18:41:27 +0000
commitbcbf441e09fb502cf64924ff2530fa144bdf52c5 (patch)
treef377707a2dac078db8cd0c7d7abfe69ac1006d71 /etc
downloadxxv-bcbf441e09fb502cf64924ff2530fa144bdf52c5.tar.gz
xxv-bcbf441e09fb502cf64924ff2530fa144bdf52c5.tar.bz2
* Move files to trunk
Diffstat (limited to 'etc')
-rw-r--r--etc/logrotate.d/xxvd8
-rwxr-xr-xetc/xxvd85
-rw-r--r--etc/xxvd.cfg.example158
3 files changed, 251 insertions, 0 deletions
diff --git a/etc/logrotate.d/xxvd b/etc/logrotate.d/xxvd
new file mode 100644
index 0000000..467df50
--- /dev/null
+++ b/etc/logrotate.d/xxvd
@@ -0,0 +1,8 @@
+/var/log/xxvd.log {
+ compress
+ rotate 99
+ size=+4096k
+ notifempty
+ missingok
+ copytruncate
+}
diff --git a/etc/xxvd b/etc/xxvd
new file mode 100755
index 0000000..8ec5d5c
--- /dev/null
+++ b/etc/xxvd
@@ -0,0 +1,85 @@
+#!/bin/sh
+#
+# xxvd Start/Stop the xxvd daemon.
+#
+# chkconfig: 2345 90 11
+# description: xxvd is a telnet/http config \
+# server, for ther DVB Settop box vdr program. \
+# \
+# \
+# .
+# processname: xxvd
+# config: xxvd.cfg
+#
+# to Setup, where is xxvd located
+# In welchem Ordner befindet sich bin/xxvd
+FOLDER="/root/XXV"
+
+
+# Run as noprivileged user, else set empty
+RUNAS="root"
+
+# Which translation is used
+LANGUAGE="de_DE@euro";
+
+# See how we were called.
+PROG="bin/xxvd"
+
+MODPATH="$FOLDER/lib/XXV/MODULES"
+CONFIG="$FOLDER/etc/xxvd.cfg"
+PIDFILE="/var/run/xxvd.pid"
+HTMLDIR="$FOLDER/"
+DOCUDIR="$FOLDER/doc/"
+PODDIR="$FOLDER/doc/"
+LOGFILE="/var/log/xxvd.log"
+CONTRIB="$FOLDER/contrib"
+NEWSMODS="$FOLDER/lib/XXV/OUTPUT/NEWS"
+NEWSTMPL="$FOLDER/share/news"
+VERBOSE="3"
+
+OPTIONS="--configfile $CONFIG \
+ --logfile $LOGFILE \
+ --pidfile $PIDFILE \
+ --docudir $DOCUDIR \
+ --poddir $PODDIR \
+ --htmldir $HTMLDIR \
+ --contrib $CONTRIB \
+ --newsmods $NEWSMODS \
+ --newstmpl $NEWSTMPL \
+ --moduledir $MODPATH \
+ --verbose $VERBOSE"
+
+start() {
+ echo -n "Start $PROG: "
+ su - $RUNAS -c "export LANG="$LANGUAGE";cd $FOLDER;nice -n 10 ./$PROG $OPTIONS"
+}
+
+stop() {
+ echo -n "Stop $PROG: "
+ su - $RUNAS -c "export LANG="$LANGUAGE";cd $FOLDER;./$PROG --kill $OPTIONS"
+}
+
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ exit 0;
+ ;;
+ stop)
+ stop
+ exit 0;
+ ;;
+ restart)
+ restart
+ exit 0;
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart}"
+ exit 1
+esac
+
+exit $?
diff --git a/etc/xxvd.cfg.example b/etc/xxvd.cfg.example
new file mode 100644
index 0000000..f78ff7f
--- /dev/null
+++ b/etc/xxvd.cfg.example
@@ -0,0 +1,158 @@
+[AUTOTIMER]
+active=y
+exclude=POS > 50
+
+[CHANNELS]
+empty=n
+file=/video/channels.conf
+filterCA=0,1,2,3,4
+interval=10800
+stripCH=short,long;provider
+
+[CHRONICLE]
+active=y
+interval=7200
+
+[EPG]
+epgimages=/var/cache/xxv/epgimages
+interval=3600
+periods=12:00,18:00,20:20,22:00,23:00,00:00,02:00,04:00
+timeframe=2
+
+[GRAB]
+file=/tmp/live.jpg
+font=VeraBI.ttf
+imgfontsize=12
+imgquality=90
+imgtext=[?- i = channel.split(" ") -?][[? i.shift ?]] [? i.join(" ") ?]: [? event.Title ?]
+vpos=20
+xsize=480
+ysize=360
+
+[General]
+DSN=DBI:mysql:database=xxv;host=localhost;port=3306
+Language=de_DE
+PWD=xxv
+USR=xxv
+initscript=/etc/init.d/xxvd
+
+[HTTPD]
+Clients=1000
+HtmlRoot=html
+Port=8080
+StartPage=schema
+active=y
+
+[INTERFACE]
+Clients=5
+Port=8082
+active=y
+
+[LOGREAD]
+active=y
+rows=100
+syslog=/var/log/syslog
+tail=/usr/bin/tail
+
+[MUSIC]
+active=y
+clients=5
+coverimages=/var/cache/xxv/cover
+path=/music
+port=8100
+proxy=
+
+[NEWS::JABBER]
+active=n
+level=1
+passwd=password
+receiveUser=receiveUser@example.com
+user=newsxxv@example.com
+
+[NEWS::MAIL]
+active=n
+address=xxv@example.com
+interval=6
+level=1
+smtp=smtp.example.com
+spwd=password
+susr=user
+
+[NEWS::RSS]
+active=y
+level=1
+
+[NEWS::VDR]
+active=y
+level=1
+
+[RECORDS]
+commandfile=/video/reccmds.conf
+interval=1800
+previewbinary=/usr/bin/vdr2jpeg
+previewcommand=vdr2jpeg
+previewcount=5
+previewimages=/var/cache/xxv/preview
+previewlistthumbs=n
+vfat=y
+videodir=/video
+
+[REMOTE]
+active=y
+commands=/video/commands.conf
+
+[REPORT]
+active=y
+host=localhost
+interval=6
+
+[ROBOT]
+active=y
+
+[STATUS]
+active=y
+dfBinary=/bin/df
+font=VeraBI.ttf
+history=1
+interval=60
+wcBinary=/usr/bin/wc
+whoBinary=/usr/bin/who
+
+[STREAM]
+host=192.168.0.23
+netvideo=\\192.168.0.23\video
+
+[SVDRP]
+VdrHost=localhost
+VdrPort=2001
+
+[TELNET]
+Clients=5
+Port=8081
+active=y
+
+[TIMERS]
+DVBCards=1
+Lifetime=50
+Priority=50
+afterminutes=5
+deactive=y
+interval=1800
+prevminutes=1
+
+[USER]
+active=y
+noAuth=192.168.0.0/24, 127.0.0.1/32
+tempimages=/var/cache/xxv/temp
+withAuth=192.168.1.0/24
+
+[VTX]
+active=y
+cache=packed
+dir=/vtx
+
+[WAPD]
+Clients=5
+Port=8085
+WMLRoot=wml
+active=y